
QGIS Application - Bug report #18534

QGIS 3.0 atlas does not export correctly in image (portrait / landscape)

2018-03-25 02:21 PM - salvatore fiandaca

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: No

Operating System: win 10 64b Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26422

Description

I have created an atlas in which the page orientation (horizontal / vertical) depends on the geometry of the covering vector

(@atlas_geometry);

exporting to pdf I get the expected result, while exporting as an image (PNG) I get some resized images; I attach screenshots

data and project:

https://mega.nz/#!kY41XayT!ZrytL2GGwvZ2nIVxAuf_NqBURnkB0-paYDnae22q3qg

Associated revisions

Revision 2aa2ef48 - 2018-06-19 06:43 PM - Nyall Dawson

[layouts] Fix data defined page sizes sometimes lead to incorrect

created atlas image sizes

Because the exporter prefers to use the image size when it's

specified (as is done in QGIS app), we need to ignore this

when the aspect ratio of that size doesn't match the aspect

ratio of the page to render.

Fixes #18534

History

#1 - 2018-06-19 06:43 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|2aa2ef48f0cee15287aaa1f9735c8132b06ec211.
